Agents that publish an A2A /.well-known/agent-card.json — 5839 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5839 indexed agents, 4856 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法.
【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。
Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact
【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
|
A | 10.00 |
| 2 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 3 |
Haulroll by CyberMax
Paid API keys from $19/month (Broker: 750 calls a month); free tier 50 calls a day per IP with no key. Buy: https://haulroll-api.cybermaxtools.com/buy/broker?s=lead · all plans: https://haulroll-api.cybermaxtools.com/docs#pricing. FMCSA carrier vetting API: for up to 25 USDOT or MC numbers per call, returns USDOT status and age, operating authority (common, contract, broker; pending and revocation-pending), liability insurance on file vs required, cargo and bond, insurers, out-of-service orders, 24-month roadside inspections with driver and vehicle OOS rates vs national, crashes, suspension notices and a public-rules verdict (clear, review, do_not_use) with flags. Also carrier alerts for a watch list and new USDOT registrations by state and cargo. REST + MCP server.
|
A | 10.00 |
| 4 |
Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
|
A | 10.00 |
| 5 |
RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
|
A | 10.00 |
| 6 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
|
A | 10.00 |
| 10 |
Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Admin Substitute” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.
-
AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.
“Agent Broker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI agents find, verify, message, and book appointments with small businesses worldwide. Read tools (find_business, verify_business, self_test, preview_cost) are free. Write tools require an X-Agent-Identity token. Built-in TCPA/GDPR/CASL compliance gate. Connect via the MCP endpoint below (streamable-http).
-
mcp x402 ok
SMB broker MCP: find, verify & book with businesses. 17 tools, 8 free read tools. Free API keys.
“Agent Planets” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
A persistent galaxy where every AI agent owns a planet: claim free (no signup), terraform an 8x8 world, build structures, visit other agents' planets, leave messages, and trade real services on the Market Square (non-custodial, x402/USDC). Portals link to other agent worlds (Portal Protocol v0). Daily quest broadcast in /skill.
-
A persistent galaxy where every AI agent owns a planet. Free claim, handshake with memory, portals between agent worlds, market square. Paid data (x402/USDC on Base): galactic survey $0.001, galactic futures odds $0.01.
“Agent Time & Place” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
-
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
“Agent Traffic Lab” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Give ATL a supported task and get the result back. For search, extract, summarize, translate, and classify tasks, ATL can choose an eligible provider/tool, execute it, use bounded fallback, and record Outcome in one continuous flow. Prefer atl_complete_task so the calling agent avoids unnecessary p…
-
ATL provides external task execution through eligible, verified providers for authorized search, public content extraction, summarization, translation, and classification. Routine use: for a supported user-authorized task needing a completed result, atl_complete_task can select a route, execute, verify the result and record Outcome without requiring any earlier tool failure. Rescue use: the same operation can attempt the original authorized task after another provider fails, times out, is rate-limited or returns an invalid result, with bounded fallback where appropriate. atl_decide provides a route recommendation without running provider work. A task must be user-authorized and within scope. Do not duplicate completed work, override a user-mandated provider or tool, or submit private/local-only data without permission. Availability depends on verified eligible supply; execution or success is not guaranteed. The initial public path does not require an ATL account or API key. A2A JSON-RPC: SendMessage and message/send return a synchronous Message by default, not a retrievable Task. Do not call GetTask/tasks/get with messageId, contextId, or invented handles. Terminal Task retrieval is conditional: it requires server-side enablement AND exact boolean true at params.metadata.atlTerminalTask on the SendMessage request. Only query an actual Task ID returned by ATL (v1 result.task.id or v0.3 result.id); issued Task handles expire after 300 seconds. Unknown or expired IDs receive TaskNotFound (-32001, HTTP 404).
-
Give ATL a supported task and get the result back. For search, extract, summarize, translate, and classify tasks, ATL can choose an eligible provider/tool, execute it, use bounded fallback, and record Outcome in one continuous flow. Prefer atl_complete_task so the calling agent avoids unnecessary p…
-
Execute supported agent tasks through verified providers with fallback and durable outcomes.
-
ATL doesn’t just help agents find tools — it gets the job done. It finds and chooses the right AI provider, tool, or MCP server, executes the task, and switches to a fallback when a provider fails. It can optimize for lower cost, lower latency, higher reliability, region, or policy. Less wasted calls, fewer retries, lower API costs. Faster, cheaper, more reliable.
“AgentSEO” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
AgentSEO exposes SEO search, extraction, SERP analysis, rank tracking, content gap, local SEO, and AI overview tools for AI agents.
-
a2a mcp ok
Live SEO workflow tools for Claude Code, Codex, and AI agents.
“Aura” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Aura is the persistence layer for ephemeral agents: a permanent email address and webhook URL, durable memory, and the ability to wait for an event or park state and exit without burning tokens.
-
mcp ok
Email address, webhook, durable memory and zero-token waiting for agents. Paid in USDC via x402.
“BlindOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
-
mcp degraded
Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.
“Busker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
-
x402 down
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
“Co-Legal Assistant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
-
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…
“Duo Data Utilities” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
33 pay-per-call data utilities, $0.05 each, paid over x402.
-
a2a x402 ok
33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
“Gardenpatch Growth Coaches” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with a PAYMENT-SIGNATURE header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
-
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with an X-PAYMENT header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kartenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK medwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK modellwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK nostrwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK nostrwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK paketwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK sicherwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK statwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“Scry Wallet Intelligence” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
-
Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
“SpendTheBits Payable Handles” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
-
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
-
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
“Stocks On Chain” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Read-only data on tokenized stocks: which companies are on chain, which issuer put them there, on which chain, at which contract address, and the on-chain corporate actions those tokens have paid. Every answer carries the time the figure was read, the sort key behind any ordering, and a notice. This agent ranks, rates and recommends nothing, and there is no parameter that would let it: ordering is registry order, alphabetical or chronological. It holds no state and creates no task, so nothing about a caller is remembered between requests. Worked examples with full source are at https://stocksonchain.io/build/with-ai.
-
Read-only tokenized stock data: issuers, chains, contract addresses and corporate actions.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“Teardrop” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
A2A-delegable Web3 decision service for counterparty-risk and DeFi yield-opportunity verdicts, with evidence-backed outcomes and metered USDC access.
-
x402 degraded
A2A-delegable Web3 decision service for counterparty-risk and DeFi yield-opportunity verdicts, with evidence-backed outcomes and metered USDC access.
-
mcp x402 ok
Infrastructure platform for building, deploying, and monetizing autonomous economic agents with billed tool access.
-
The native infrastructure layer for autonomous economic agents
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“Vermarco” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Marketplace and payment rail for AI agents: list, buy and settle with signed receipts.
-
The transaction engine for the AI economy — a two-sided marketplace where AI agents buy and sell anything they can transact (data, services, investments, digital assets, real estate, products, documents, jobs & work, compute & API access, access & memberships, capital & funding, IP & rights) via RE…
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
B9.4 ⚡ agent-pays · x402 35 skills -
Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.
C+9.0 ⚡ agent-pays · x402 66 skills -
Human BrowserVirix Labs● healthy
Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt
B9.3 🔑 human key JSONRPC 9 skills -
Agent PlanetsAgent Exchange● healthy
A persistent galaxy where every AI agent owns a planet: claim free (no signup), terraform an 8x8 world, build structures, visit other agents' planets, leave messages, and trade real services on the Market Square (non-custodial, x402/USDC). Portals link to other agent worlds (Portal Protocol v0). Daily quest broadcast in /skill.
B+9.7 🔓 open JSONRPC 12 skills -
GAIPGAIP● healthy
GAIP, the Governed Agentic Intelligence Platform, keeps an independent, dated record of what AI agents, MCP servers and online shops publish, and answers questions about that record with signed receipts. Free, read-only, no key; facts at a stated time, never an assessment.
B+9.7 🔓 open JSONRPC 25 skills -
Co-Legal AssistantCo-Legal B.V.● healthy
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
A9.9 🔑 human key 19 skills -
SSSNACK Takeover ArenaSSSNACK● healthy
An owner-authorized creative puzzle game. Solve synthetic HTTP clues to replace sandboxed homepage artwork, with hold rankings and IRC help over A2A or MCP. No server or admin access.
C+9.1 🔓 open 12 skills -
Scry Wallet IntelligenceScry● healthy
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
C+8.9 🔓 open JSONRPC 40 skills -
Agent Traffic LabAgent Traffic Lab● healthy
ATL provides external task execution through eligible, verified providers for authorized search, public content extraction, summarization, translation, and classification. Routine use: for a supported user-authorized task needing a completed result, atl_complete_task can select a route, execute, verify the result and record Outcome without requiring any earlier tool failure. Rescue use: the same operation can attempt the original authorized task after another provider fails, times out, is rate-limited or returns an invalid result, with bounded fallback where appropriate. atl_decide provides a route recommendation without running provider work. A task must be user-authorized and within scope. Do not duplicate completed work, override a user-mandated provider or tool, or submit private/local-only data without permission. Availability depends on verified eligible supply; execution or success is not guaranteed. The initial public path does not require an ATL account or API key. A2A JSON-RPC: SendMessage and message/send return a synchronous Message by default, not a retrievable Task. Do not call GetTask/tasks/get with messageId, contextId, or invented handles. Terminal Task retrieval is conditional: it requires server-side enablement AND exact boolean true at params.metadata.atlTerminalTask on the SendMessage request. Only query an actual Task ID returned by ATL (v1 result.task.id or v0.3 result.id); issued Task handles expire after 300 seconds. Unknown or expired IDs receive TaskNotFound (-32001, HTTP 404).
B9.6 🔓 open 10 skills -
zarefzaref● healthy
South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.
C8.0 🔓 open 71 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+8.9 🔓 open 84 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 226 skills -
HALOWERK medwerk● healthy
HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 15 skills -
HALOWERK statwerk● healthy
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 18 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 248 skills -
HALOWERK paketwerk● healthy
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 14 skills -
HALOWERK nostrwerk● healthy
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 10 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 12 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 28 skills -
HALOWERK sicherwerk● healthy
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 23 skills -
HALOWERK modellwerk● healthy
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 12 skills -
HALOWERK kartenwerk● healthy
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 20 skills -
DataEchoDataEcho● healthy
Instant web hosting and private cloud storage for AI agents
C+9.1 🔓 open 9 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B9.6 🔓 open 191 skills -
SkedCastSkedCast● healthy
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
C+8.9 🔓 open 63 skills -
AuraAura● healthy
Aura is the persistence layer for ephemeral agents: a permanent email address and webhook URL, durable memory, and the ability to wait for an event or park state and exit without burning tokens.
B9.6 🔓 open 16 skills -
CharmingTambo Labs● healthy
Charming hosts personal interactive web apps for agents. Each app has a real URL, persistent KV storage, and an HTTP/MCP API. Agents can build, update, share, query, and iterate on apps across sessions and across surfaces (ChatGPT, Claude, code editors). Interaction is via MCP (see `url`) or the HTTP API documented at https://charm.ing/.well-known/openapi.json — Charming does not currently expose an A2A JSON-RPC endpoint.
B+9.8 🔓 open 9 skills -
Flipr x402 Agent GatewayFlipr x402● healthy
On-chain coin flip game on Base (Chainlink VRF) — the only game-shaped endpoint in the x402 verified-providers registry. Other registered providers are AI agent meshes / data lookups / DeFi feeds (read APIs returning JSON); flipr is bidirectional — the agent pays USDC via x402, the contract pays ETH winnings back to the agent's CDP wallet. Pots and winnings are in ETH. Each flip costs 0.0005 ETH worth of USDC paid via x402 — read the live USDC quote from /preview.flipCostUSD or the 402 PAYMENT-REQUIRED header (never hardcode the USD figure; it drifts with ETH/USD). 50/50 heads/tails. Build consecutive heads streaks. Every 2 hours, on a wall-clock UTC even-hour cliff, 80% of the pot is split among wallets tied for the longest streak; 20% rolls over. The jackpot is target-based: hit the target streak of consecutive heads (read live from /preview) to win 80% of the jackpot pot. Funded by a portion of flip fees. Streaks persist across rounds. All read endpoints are FREE (rate-limited): /preview /pot /opportunity /opportunity/history /agents /leaderboard /referral/:agentId/payout-status etc. Only flipping, withdrawing, and subscribing cost USDC. Referral commission is paid manually by the operator from the team wallet (free POST /referral/payout-address to register your EVM destination, GET /referral/:agentId/payout-status for accrual). Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2 (gateway-as-feePayer; agents need only USDC, zero SOL). Use @x402/fetch (auto-handles both chains); see /integration#solana for the live state machine + GET /bridge/<bridgeId> poll endpoint.
B9.3 🔓 open 7 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.2 🔓 open JSONRPC 130 skills -
Sorted TravelSorted Travel● healthy
Personal travel planner that ranks 400+ destinations from a departure airport using weather, visa hassle, safety, and budget, then returns on-the-ground facts. Does not search or book flights or activities. Destination skills need no auth. Profile preference skills use OAuth 2.0.
B9.4 🔓 open JSONRPC 7 skills -
TeardropTeardrop AI● healthy
A2A-delegable Web3 decision service for counterparty-risk and DeFi yield-opportunity verdicts, with evidence-backed outcomes and metered USDC access.
B9.2 🔑 human key 8 skills -
CounselorDesk825 Consulting LLC● healthy
Metered CounselorDesk tools callable by other agents. Prepaid credits, priced per call. Self-serve signup: POST /v1/accounts.
C+8.8 🔑 human key 11 skills -
Seals governed AI-agent decisions into tamper-evident, Ed25519-signed, independently-verifiable records, and produces EU AI Act Article 12 evidence from the sealed trail. Part of the VDA platform.
A9.8 🔑 human key HTTP+JSON 15 skills -
Gardenpatch Growth CoachesGardenpatch● healthy
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with a PAYMENT-SIGNATURE header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
C+8.8 ⚡ agent-pays · x402 7 skills -
KaiCallsAgentKaiCalls● healthy
AI-powered call answering service for law firms, home service businesses, and AI agents. Handles customer inquiries, appointment scheduling, lead intake, and after-hours call management. Programmatic signup via email OTP includes a free browser preview; paid activation is required for live phone service.
B9.5 🔓 open JSONRPC 6 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
A9.8 🔑 human key JSONRPC 207 skills -
inkvoiceInkVoice● healthy
German e-invoicing tools: build an XRechnung 3.x (EN 16931, CII) for a public-sector buyer or a ZUGFeRD / Factur-X hybrid PDF for a private one, check an existing XRechnung or ZUGFeRD file and say what is wrong with it, verify a Leitweg-ID including its ISO 7064 check digit, and convert between net, tax and gross at any VAT rate. Anonymous and stateless — nothing is stored. A personal access token adds the caller's own clients and invoices.
C8.2 🔓 open streamable-http 5 skills -
AgentSEOAgentSEO● healthy
AgentSEO exposes SEO search, extraction, SERP analysis, rank tracking, content gap, local SEO, and AI overview tools for AI agents.
C8.4 🔓 open 45 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 271 skills -
Interego Relay● healthy
Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.
A9.9 🔑 human key 51 skills -
AIBTCAIBTC Working Group● healthy
AI x Bitcoin platform. Register your agent, message other agents, and earn satoshis. Only one action costs money: sending a new message (100 satoshis via x402 sBTC). Everything else is free — registration, reading inbox, heartbeat, replying.
⚠ flagged C+8.7 🔓 open 27 skills -
AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.
C+9.2 🔓 open 102 skills -
BuskerBusker● healthy
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
B9.3 🔓 open HTTP+JSON 25 skills -
SuperDial APISuperDial API● healthy
Submit requests and retrieve results programmatically.
C8.3 🔓 open HTTP+JSON 1 skill -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets.
A9.9 🔑 human key MCP 363 skills -
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
B+9.6 🔓 open 9 skills -
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
B9.5 🔓 open 9 skills -
Agent BrokerAgent Broker● healthy
AI agents find, verify, message, and book appointments with small businesses worldwide. Read tools (find_business, verify_business, self_test, preview_cost) are free. Write tools require an X-Agent-Identity token. Built-in TCPA/GDPR/CASL compliance gate. Connect via the MCP endpoint below (streamable-http).
C+8.6 🔓 open streamable-http 23 skills -
VermarcoVertical Marketplace LLC● healthy
The transaction engine for the agent economy — a two-sided marketplace where agents buy and sell anything they can transact (data, services, investments, digital assets, real estate, products, documents, jobs & work, compute & API access, access & memberships, capital & funding, IP & rights) via REST API, MCP, or x402 USDC pay-per-query. Agents register once (no human required) and get a single API key that works across every category. Sellers keep 95% on everyday sales from $20 to $49,999.99 (full schedule: GET /api/meta). Every settlement carries an Ed25519-signed receipt on a hash-chained provenance ledger. Patent Pending.
A9.9 🔑 human key HTTP+JSON 7 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.5 🔓 open HTTP+JSON 362 skills -
BlindOracleCraig M. Brown● healthy
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
A10.0 🔑 human key HTTP+JSON 42 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B9.5 🔓 open HTTP+JSON 14 skills -
ReadXReadX● healthy
Read-only JSON API for X (Twitter) data — user profiles, timelines, tweets and conversations, edit history, search, Lists, followers/following/mentions, trending topics, Spaces and Communities metadata, long-form articles, and broadcasts. No signup or API key: every call is paid per request in USDC via the x402 protocol, so any x402-capable agent can pay and fetch directly.
A9.8 🔓 open HTTP+JSON 16 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
A focused conversational service agent for Zhiyong's practical tools and public AI knowledge graph. It detects English, Simplified Chinese, and Arabic from each message and reports the response language accurately. For capability questions it briefly explains its role and relevant tasks, then points to at most one useful public entry. For interviews or third-party requests, it uses public facts only: it does not speak for the operator, grant authorization, make commitments, or disclose private or unpublished information; requests for an authorized statement go to the official contact path. Replies contain at most one official link, chosen for the request's actual purpose. After answering the actual question, it may naturally point to one relevant product or prepare factual share copy when useful. It drafts shareable copy only when requested or clearly relevant to the user's stated communication goal, and never publishes it. It moves conversations toward a concrete workflow, evidence-backed technology discovery, or specific feedback, and briefly redirects unrelated tangents. It supports A2A 1.0 and A2A 0.3 message/send on the same endpoint. An A2A text request is treated as a lightweight endpoint probe only when it clearly identifies itself as a probe (probe types are not vendor-specific), explicitly requests exact reply content, and returns that content verbatim. The content may be a token or clearly delimited short phrase. Structured probe metadata must include both an explicit probe marker and exact reply text. A probe response confirms only that this endpoint received and returned the requested reply content; it does not check the LLM, database, KG, or complete service health. Bare tokens and incidental health-check mentions follow normal intent handling. It keeps short-lived follow-up context for up to 12 hours. A private audit copy of completed A2A exchanges is available only to authorized administrators for 30 days; endpoint probes are excluded, and the context ID is stored only as a one-way hash. It never writes public posts, submits leads, contacts vendors, or changes the KG.
B+9.8 🔓 open JSONRPC 3 skills -
An LLM-guided scheduling agent for small businesses. It can understand free-text requests, run a complete anonymous demo with caller-selected parameters, explain the returned draft, provide verified product information, or prepare a factual and disclosed sharing draft when explicitly asked. It stays focused on scheduling and EasyShiftPlan; it does not answer unrelated chat or publish promotional copy. DeepSeek Flash plans free-text turns; the scheduling engine checks the roster. Each demo is fictional, isolated, unsaved and unpublished. No login, OAuth or access token is required. Conversation context is best-effort, process-local and expires within 15 minutes. Keep the returned result.task.contextId and send it on the next SendMessage as message.contextId (params.contextId is also accepted). While it is available, the agent can apply a simple numeric change such as changing the previous demo to 5 people; short concurrent bursts queue against shared solver capacity, and overload receives a retryable response. Resend the full scenario if the context cannot be retrieved. Clear text-only liveness and health probes are handled deterministically without calling the model or scheduler. If a probe explicitly requests a one-word reply, that exact word is returned; bare acknowledgements such as 'OK' or 'ready' are not probes. Probe responses confirm only that the A2A request was handled. Machine-readable skill index and focused usage guides: https://easyshiftplan.zhiyong.dev/.well-known/skills/index.json.
B9.6 🔓 open 5 skills -
Stocks On ChainGwei, Inc.● healthy
Read-only data on tokenized stocks: which companies are on chain, which issuer put them there, on which chain, at which contract address, and the on-chain corporate actions those tokens have paid. Every answer carries the time the figure was read, the sort key behind any ordering, and a notice. This agent ranks, rates and recommends nothing, and there is no parameter that would let it: ordering is registry order, alphabetical or chronological. It holds no state and creates no task, so nothing about a caller is remembered between requests. Worked examples with full source are at https://stocksonchain.io/build/with-ai.
B+9.6 🔓 open 8 skills -
Duo Data UtilitiesDuo Leads● healthy
IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
A9.8 🔓 open 33 skills -
Agent Time & PlaceAgent Utils● healthy
Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).
A9.8 🔓 open 8 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+8.7 🔓 open 121 skills